# artifactPattern

abstract fun artifactPattern(pattern: String)

Adds an independent pattern that will be used to locate artifact files in this repository. This pattern will be used to locate ivy files as well, unless a specific ivy pattern is supplied via ivyPattern. If this pattern is not a fully-qualified URL, it will be interpreted as a file relative to the project directory. It is not interpreted relative the URL specified in setUrl. Patterns added in this way will be in addition to any layout-based patterns added via setUrl.

#### Parameters

pattern

The artifact pattern.